[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#154690: marked as done (gdk-imlib1: does not support PPMs with maxval = 1)

Your message dated Fri, 10 Apr 2009 14:23:04 +0100
with message-id <200904101323.n3ADN4Wu016473@kmos.homeip.net>
and subject line imlib has been removed from Debian, closing #154690
has caused the Debian Bug report #154690,
regarding gdk-imlib1: does not support PPMs with maxval = 1
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

154690: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=154690
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: gdk-imlib1
Version: 1.9.14-6
Severity: normal

When fed a packed PPM (P6) with a maxval of 1, gdk-imlib1
apparently treats it as if it had a maxval of 2. A pixel that is
(1, 1, 1) in the PPM is displayed by Xzgv and Eeyes as #808080.
Gimp and Xv display the pixel correctly (#ffffff).

At http://www.teaser.fr/~amajorel/misc/bad.ppm.bz2, you'll find
a PPM with a maxval of 1. Note that you won't be able to view it
with gdk-imlib1 as it also triggers bug #154688, unless you
replace the space at offset 1Ch by a newline.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux vulcain 2.2.19 #1 Sat Oct 20 18:09:49 EST 2001 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages gdk-imlib1 depends on:
ii  imlib-base                    1.9.14-6   Common files needed by the Imlib/G
ii  libc6                         2.2.5-6    GNU C Library: Shared libraries an
ii  libglib1.2                    1.2.10-4   The GLib library of C routines
ii  libgtk1.2                     1.2.10-11  The GIMP Toolkit set of widgets fo
ii  libjpeg62                     6b-5       The Independent JPEG Group's JPEG 
ii  libpng2                       1.0.12-3   PNG library - runtime
ii  libtiff3g                     3.5.5-6    Tag Image File Format library
ii  libungif4g                    4.1.0b1-2  shared library for GIF images (run
ii  xlibs                         4.1.0-16   X Window System client libraries
ii  zlib1g                        1:1.1.4-1  compression library - runtime

--- End Message ---
--- Begin Message ---
Version: 1.9.15-8+rm

The imlib package has been removed from Debian so we are closing
the bugs that were still opened against it.

For more information about this package's removal, read
http://bugs.debian.org/522810 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Kind regards,
Marco Rodrigues

--- End Message ---

Reply to: